# $Revision: 1.39 $, $Date: 2007-02-13 07:16:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	Translit
%define		__find_requires %{_builddir}/Convert-Translit-%{version}/find-perl-requires
%define		__find_provides %{_builddir}/Convert-Translit-%{version}/find-perl-provides
Summary:	Convert::Translit - Perl module for string conversion among numerous character sets
Summary(pl.UTF-8):	Convert::Translit - moduł Perla do konwersji tekstów pomiędzy różnymi zestawami znaków
Name:		perl-Convert-Translit
Version:	1.03
Release:	10
# same as perl
License:	GPL v1 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bcf7e8811f2ee1bbf5ca1f547d1b02dc
Patch0:		%{name}-dep.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::Translit Perl module provides the function "transliterate"
for transliterating strings between any 8-bit character sets defined
in RFC 1345 (about 128 character sets).  The RFC document is included
so you can look up character set names and aliases (and it's also read
by the module when creating transliteration maps).

%description -l pl.UTF-8
Moduł Perla Convert::Translit udostępnia funkcję "transliterate" do
konwersji tekstów pomiędzy dowolnymi 8-bitowymi zestawami znaków
zdefiniowanymi w RFC 1345 (około 128 zestawów znaków). Dokument RFC
jest dołączony do pakietu, co umożliwia poszukiwanie nazw zestawów
znaków i ich aliasów (i jest on również czytany przez moduł podczas
tworzenia odwzorowań konwersji).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

chmod +x find-perl-*

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install example.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Convert/Translit.pm
%{perl_vendorlib}/Convert/rfc1345
%{perl_vendorlib}/Convert/substitutes
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/example.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-Translit.spec,v $
Revision 1.39  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.37  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.36  2004/11/03 22:30:11  paladine
- formatting

Revision 1.35  2004/10/24 14:08:15  paladine
- spelling fixes

Revision 1.34  2004/05/07 00:59:46  ankry
- rel. 10

Revision 1.33  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 20:20:27  ankry
- tests added

Revision 1.31  2004/04/18 21:30:40  ankry
- summary, description and license fixes

Revision 1.30  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/27 20:53:54  ankry
fixed %%attr

Revision 1.23  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:28:35  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:10:31  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:24:42  depesz
adapterized

Revision 1.14  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:06:50  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/30 01:30:48  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.4  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.3  1999/11/02 22:13:08  pius
- fixed generating perl provides

Revision 1.2  1999/10/31 15:50:49  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- fixed dependency generation

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
